- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# persistent – Use a persistent unix socket for connection

- Synopsis

- Parameters

- Status

## Synopsis

- This is a helper plugin to allow making other connections persistent.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
persistent_command_timeout integer | Default: 10 | ini entries: [persistent_connection] command_timeout = 10 env:ANSIBLE_PERSISTENT_COMMAND_TIMEOUT var: ansible_command_timeout | Configures, in seconds, the amount of time to wait for a command to return from the remote device. If this timer is exceeded before the command returns, the connection plugin will raise an exception and close

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]

- This connection is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.